libosmo-sigtran: include/osmocom/sigtran/protocol/sccp_scmg.h File Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Structures | Enumerations | Functions | Variables
sccp_scmg.h File Reference

Go to the source code of this file.

## Data Structures
struct | sccp_scmg_msg

## Enumerations
enum | sccp_scmg_msg_type { SCCP_SCMG_MSGT_SSA = 0x01 , SCCP_SCMG_MSGT_SSP = 0x02 , SCCP_SCMG_MSGT_SST = 0x03 , SCCP_SCMG_MSGT_SOR = 0x04 , SCCP_SCMG_MSGT_SOG = 0x05 , SCCP_SCMG_MSGT_SSC = 0x06 }

## Functions
struct sccp_scmg_msg | __attribute__ ((packed))
static const char * | sccp_scmg_msgt_name (enum sccp_scmg_msg_type msgt)

## Variables
uint8_t | msg_type
uint8_t | affected_ssn
uint16_t | affected_pc
uint8_t | smi
uint8_t | ssc_congestion_lvl [0]
const struct value_string | sccp_scmg_msgt_names []

## Enumeration Type Documentation

## ◆ sccp_scmg_msg_type

enum sccp_scmg_msg_type

Enumerator
SCCP_SCMG_MSGT_SSA |
SCCP_SCMG_MSGT_SSP |
SCCP_SCMG_MSGT_SST |
SCCP_SCMG_MSGT_SOR |
SCCP_SCMG_MSGT_SOG |
SCCP_SCMG_MSGT_SSC |

## Function Documentation

## ◆ __attribute__()

struct sccp_scmg_msg __attribute__ | ( | (packed) |  | ) |

## ◆ sccp_scmg_msgt_name()

static const char * sccp_scmg_msgt_name | ( | enum sccp_scmg_msg_type | msgt | ) |
| inlinestatic

References sccp_scmg_msgt_names.

Referenced by scmg_rx().

## Variable Documentation

## ◆ affected_pc

uint16_t affected_pc

## ◆ affected_ssn

uint8_t affected_ssn

## ◆ msg_type

uint8_t msg_type

Referenced by ipa_rx_msg_ccm(), msgb_push_m3ua_hdr(), sccp_conn_xua_gen_encode_and_send(), sccp_scmg_tx(), xua_class_msg_name(), xua_dialect_check_all_mand_ies(), xua_gen_encode_and_send(), xua_gen_msg_cl(), xua_gen_msg_co(), xua_opt_data_cache_keep(), and xua_opt_data_length_lim().

## ◆ sccp_scmg_msgt_names

const struct value_string sccp_scmg_msgt_names[]
| extern

Referenced by sccp_scmg_msgt_name().

## ◆ smi

uint8_t smi

Referenced by sccp_scmg_rx_ssn_allowed(), sccp_scmg_rx_ssn_prohibited(), sccp_scmg_tx(), sua_encode_daud(), sua_encode_dava(), sua_encode_duna(), sua_snm_ssn_available(), sua_snm_ssn_available_to_sccp(), sua_tx_snm_available(), sua_tx_snm_daud(), xua_snm_rx_dava(), and xua_snm_rx_duna().

## ◆ ssc_congestion_lvl

uint8_t ssc_congestion_lvl[0]